メインコンテンツへスキップ
GET
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
search
指定したプレフィックスでフィルタリングしたカタログレコードを返します
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/search \
  --header 'Authorization: Bearer <token>'
{
  "catalogInfo": {
    "columns": [
      {
        "name": "<string>",
        "notEmpty": true,
        "isPredefined": true,
        "order": 123,
        "title": "<string>"
      }
    ],
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "importFileName": "<string>",
    "lastRecordsUpdateTime": "<string>",
    "recordsCount": 123,
    "usedInSkills": [
      {
        "skillId": "<string>",
        "version": 123
      }
    ]
  },
  "records": [
    {
      "externalId": "<string>",
      "columnValues": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

catalogId
string
必須

カタログID

クエリパラメータ

prefix
string

プレフィックスの値。最小長は 2 文字です。

Minimum string length: 2
Limit
integer<int32>

レスポンスで返されるレコードの最大数。 レスポンスで返すレコード数の上限。

Offset
integer<int32>

ページング用のオフセットです。結果セットの取得を開始する前にスキップするレコード数を指定します。 ページネーションに使用するオフセットです。結果セットの取得を開始する前にスキップするレコード数を指定します。

レスポンス

OK

カタログ検索操作の結果を表します。

catalogInfo
object

「Catalog」タイプのデータセットプロファイルに関する追加情報

records
object[] | null

検索条件に一致するカタログレコードの一覧。